#include <SendOnlySoftwareSerial.h>

const int SWITCH_PIN = 0;
const int TX_PIN = 1;

SendOnlySoftwareSerial BT(TX_PIN);

void setup() {
  pinMode(SWITCH_PIN, INPUT);
  digitalWrite(SWITCH_PIN, HIGH); // pull-up
  BT.begin(9600);
}

int prevstate = 0;

void keyCommand(uint8_t modifiers, uint8_t keycode1, uint8_t keycode2 = 0, uint8_t keycode3 = 0, 
                uint8_t keycode4 = 0, uint8_t keycode5 = 0, uint8_t keycode6 = 0) {
  BT.write(0xFD);       // our command
  BT.write(modifiers);  // modifier!
  BT.write((byte)0x00); // 0x00  
  BT.write(keycode1);   // key code #1
  BT.write(keycode2); // key code #2
  BT.write(keycode3); // key code #3
  BT.write(keycode4); // key code #4
  BT.write(keycode5); // key code #5
  BT.write(keycode6); // key code #6
}

void loop() {
  int state = digitalRead(SWITCH_PIN);
  if (prevstate != state) {
    prevstate = state;
    keyCommand(0, 0x7f);
    keyCommand(0, 0);
    delay(5); // debounce
  }
}
